package HSPC::MT::Role;

use strict;

use HSPC::WebDB;
use SWsoft::protect;	# Mark this module for encryption upon build

use vars qw(
	@ISA @EXPORT
);
                                         
@ISA = qw(Exporter);
@EXPORT = qw(get_roles);

# Returns list roles applicable to this account type
sub get_roles {
	my %args = (
		EXCLUDE_ADMINS	=> 0,
		ACCOUNT_TYPE	=> undef,
		@_
	);
	my $admin_cons = $args{EXCLUDE_ADMINS} ? 'AND admin_level = 0' : '';
	my $account_type = defined $args{ACCOUNT_TYPE} ? $args{ACCOUNT_TYPE} : $ENV{security_obj}->account_type;
	
	return HSPC::WebDB::select_hash_all( qq {
			SELECT role_id, name
			FROM role
			WHERE account_type = ?
			$admin_cons
		},
		$account_type
	);
}

# Returns list of roles for given account_type and browse_info
sub get_role_list {
	my ($class, $info, $type) = @_;		

	return	HSPC::WebDB::select_data 
	(
		request		=> $info,
		tables		=> 'role',
		distinct	=> 1,   
		gate_cols	=> {
			r			=> 'role_id',
			name		=> 'name',
			description	=> "ifnull(description,'')",
			is_default	=> "is_default",
		},
		where => "account_type = $type AND admin_level = 0",
	);
}

1;

__END__
